<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::RotationalSpline Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#5ba4e31b2ec1aec5c6c2878440184709">addPoint</a>(const Quaternion &amp;p)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#d52da70d8d76c5c6d2203197e14b3520">clear</a>(void)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#e370943401af17c1642b36969b7bcb5c">getNumPoints</a>(void) const </td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#de94d1a8e67b3113d70bc22bd4801dae">getPoint</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#4fd498ecda341877bed16614f99513f3">interpolate</a>(Real t, bool useShortestPath=true)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#50e4fac029abebe1f318a80da015f544">interpolate</a>(unsigned int fromIndex, Real t, bool useShortestPath=true)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#fa8532df52d89e4e86d330139bdb79f6">mAutoCalc</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ac8e3ad2c6b7e3672243dfcdfad4dce1">mPoints</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#829649f1efe30ff19bb6335b3e777959">mTangents</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#9eec1f4d7ee25b15d435e8c49c69c92a">recalcTangents</a>(void)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#c8596d691089c7be12d2879dc5595cea">RotationalSpline</a>()</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#94645c3887ad1b0872bcea3897fae613">setAutoCalculate</a>(bool autoCalc)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#8ee6d15c86ed31e61e04360d36f1fbf9">updatePoint</a>(unsigned short index, const Quaternion &amp;value)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#e7c15794bdabda0d02fb2ce52b3e1ea9">~RotationalSpline</a>()</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:48 2008
</p>
</body>
</html>
